Skip to main content

Features API Reference

Planet Features API (1)

Download OpenAPI specification:Download

An API to manage features on the Planet platform.

Capabilities

API characteristics

Get Landing Page

The landing page provides links to the API definition, the conformance statements and to the feature collections in this dataset.

Authorizations:
JWTBasicAuth

Responses

Response samples

Content type
{
  • "title": "Buildings in Bonn",
  • "description": "Access to data about buildings in the city of Bonn via a Web API that conforms to the OGC API Features specification.",
  • "links": []
}

Get API Conformance

A list of all conformance classes specified in a standard that the server conforms to.

Authorizations:
JWTBasicAuth

Responses

Collections

access to feature collections

List Collections

List all feature collections available to the authenticated user in the dataset.

Collections can be filtered using text filters (title, description, hashid) and custom properties. All filters are combined with AND logic.

Authorizations:
JWTBasicAuth
query Parameters
limit
integer [ 1 .. 10000 ]
Default: 10

The optional limit parameter limits the number of items that are presented in the response document.

Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted.

Minimum = 1. Maximum = 10000. Default = 10.

offset
integer >= 0
Default: 0

Pagination offset (number of items to skip)

title
string

Filter by collection title. Use prefix ~ for substring matching (e.g., ?title=~my)

description
string

Filter by collection description. Use prefix ~ for substring matching

hashid
string

Filter by collection hashid (immutable internal identifier). See identifiers documentation.

sort
string
Enum: "created_date" "-created_date" "title" "-title"

Sort results by field. Supported fields are created_date and title. Prefix '-' for descending (e.g., -created_date)

Responses

Response samples

Content type
{}

Create Collection

Create a new feature collection in the dataset.

Authorizations:
JWTBasicAuth
Request Body schema: application/json
title
required
string
description
string

Responses

Request samples

Content type
application/json
{
  • "title": "string",
  • "description": "string"
}

Response samples

Content type
{}

Get Collection

Get a feature collection by collectionId

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

Responses

Response samples

Content type
{}

Update Collection

Update the feature collection by collectionId

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

Request Body schema: application/json
title
required
string
description
string

Responses

Request samples

Content type
application/json
{
  • "title": "string",
  • "description": "string"
}

Response samples

Content type
{}

Delete Collection

Delete an existing feature collection

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

Responses

List Collection Permissions

List permissions for the feature collection by collectionId

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

Responses

Response samples

Content type
application/json
{
  • "can_read": true,
  • "can_write": true
}

Update Collection Permissions

Share this collection with your org.

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

Responses

Response samples

Content type
{
  • "code": "string",
  • "description": "string"
}

Delete Collection Permissions

Unshare a collection.

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

Responses

Features

access to features

List Features

List features of the feature collection with collectionId.

Every feature in a dataset belongs to a collection. A dataset may consist of multiple feature collections. A feature collection is often a collection of features of a similar type, based on a common schema.

Features can be filtered by ID, hashid, custom properties, and geometry (bbox). Any query parameter not in the reserved list is treated as a property filter on the feature's properties. Use prefix ~ in values for substring matching.

Use content negotiation to request HTML or GeoJSON.

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

query Parameters
limit
integer [ 1 .. 10000 ]
Default: 10

The optional limit parameter limits the number of items that are presented in the response document.

Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted.

Minimum = 1. Maximum = 10000. Default = 10.

offset
integer >= 0
Default: 0

Pagination offset (number of items to skip)

bbox
Array of numbers [ 4 .. 6 ] items

Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth):

  • Lower left corner, coordinate axis 1
  • Lower left corner, coordinate axis 2
  • Minimum value, coordinate axis 3 (optional)
  • Upper right corner, coordinate axis 1
  • Upper right corner, coordinate axis 2
  • Maximum value, coordinate axis 3 (optional)

The coordinate reference system of the values is WGS 84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84) unless a different coordinate reference system is specified in the parameter bbox-crs.

For WGS 84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge).

If the vertical axis is included, the third and the sixth number are the bottom and the top of the 3-dimensional bounding box.

If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.

datetime
string

Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.

Examples:

  • A date-time: "2018-02-12T23:20:50Z"
  • A closed interval: "2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"
  • Open intervals: "2018-02-12T00:00:00Z/.." or "../2018-03-18T12:31:12Z"

Only features that have a temporal property that intersects the value of datetime are selected.

If a feature has multiple temporal properties, it is the decision of the server whether only a single temporal property is used to determine the extent or all relevant temporal properties.

id
string

Filter by feature ID. Use prefix ~ for substring matching (e.g., ?id=~test)

hashid
string

Filter by feature hashid (immutable internal identifier)

sort
string
Enum: "id" "-id"

Sort results by field. Supported field is id. Prefix '-' for descending (e.g., -id)

_view
string
Enum: "items" "wkb64" "basic" "refs"

Response format. 'items' (default) returns full features, 'wkb64' returns geometry as WKB base64-encoded, 'basic' excludes geometry, 'refs' returns minimal reference info

Responses

Response samples

Content type
{}

Add Feature

Add a feature to the collection

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

query Parameters
limit
integer [ 1 .. 10000 ]
Default: 10

The optional limit parameter limits the number of items that are presented in the response document.

Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted.

Minimum = 1. Maximum = 10000. Default = 10.

bbox
Array of numbers [ 4 .. 6 ] items

Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth):

  • Lower left corner, coordinate axis 1
  • Lower left corner, coordinate axis 2
  • Minimum value, coordinate axis 3 (optional)
  • Upper right corner, coordinate axis 1
  • Upper right corner, coordinate axis 2
  • Maximum value, coordinate axis 3 (optional)

The coordinate reference system of the values is WGS 84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84) unless a different coordinate reference system is specified in the parameter bbox-crs.

For WGS 84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge).

If the vertical axis is included, the third and the sixth number are the bottom and the top of the 3-dimensional bounding box.

If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.

datetime
string

Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.

Examples:

  • A date-time: "2018-02-12T23:20:50Z"
  • A closed interval: "2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"
  • Open intervals: "2018-02-12T00:00:00Z/.." or "../2018-03-18T12:31:12Z"

Only features that have a temporal property that intersects the value of datetime are selected.

If a feature has multiple temporal properties, it is the decision of the server whether only a single temporal property is used to determine the extent or all relevant temporal properties.

property_id
string

Inform Features API how to extract the id from the feature

Request Body schema: application/json
One of
type
required
string
Value: "Feature"
required
pointGeoJSON (object) or multipointGeoJSON (object) or linestringGeoJSON (object) or multilinestringGeoJSON (object) or polygonGeoJSON (object) or multipolygonGeoJSON (object) or geometrycollectionGeoJSON (object) (geometryGeoJSON)
properties
required
object or null
string or integer
Array of objects (link)

Responses

Request samples

Content type
application/json
Example
{
  • "type": "Feature",
  • "geometry": {
    },
  • "properties": { },
  • "id": "string",
  • "links": []
}

Response samples

Content type
{
  • "code": "string",
  • "description": "string"
}

Get Feature

Get a single feature with id featureId in the feature collection with id collectionId.

Use content negotiation to request HTML or GeoJSON.

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

featureId
required
string

local identifier of a feature

Responses

Response samples

Content type
{}

Update Feature

Update a feature, you cannot update a feature geometry.

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

featureId
required
string

local identifier of a feature

Request Body schema:
type
required
string
Value: "Feature"
required
pointGeoJSON (object) or multipointGeoJSON (object) or linestringGeoJSON (object) or multilinestringGeoJSON (object) or polygonGeoJSON (object) or multipolygonGeoJSON (object) or geometrycollectionGeoJSON (object) (geometryGeoJSON)
properties
required
object or null
string or integer
Array of objects (link)

Responses

Request samples

Content type
{
  • "type": "Feature",
  • "geometry": {
    },
  • "properties": { },
  • "id": "string",
  • "links": []
}

Response samples

Content type
{}

Delete Feature

Deletes a feature

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

featureId
required
string

local identifier of a feature

Responses

Tiles

access to map vector tiles for web rendering

Get MVT Tile

Get a MapBox Vector Tile (MVT) for the specified collection and tile coordinates.

MVT is a compact binary format optimized for efficient web map rendering. Tiles use the Web Mercator (EPSG:3857) projection with coordinates in the XYZ tiling scheme.

Maximum zoom level is 22.

Authorizations:
JWTBasicAuth
path Parameters
collectionId
required
string

local identifier of a collection

z
required
integer [ 0 .. 22 ]

Zoom level (0-22)

x
required
integer >= 0

Tile column coordinate

y
required
integer >= 0

Tile row coordinate

Responses

Response samples

Content type
{
  • "code": "string",
  • "description": "string"
}

Alternates

Get Alternates

generate alternate geometries for features with vertex count that exceeds the vertex limit or may be invalid (e.g via de-duping, simpplification, bbox, convex hull, etc)

Authorizations:
JWTBasicAuth
Request Body schema: application/json
type
required
string
Value: "Feature"
required
pointGeoJSON (object) or multipointGeoJSON (object) or linestringGeoJSON (object) or multilinestringGeoJSON (object) or polygonGeoJSON (object) or multipolygonGeoJSON (object) or geometrycollectionGeoJSON (object) (geometryGeoJSON)
properties
required
object or null
string or integer
Array of objects (link)

Responses

Request samples

Content type
application/json
{
  • "type": "Feature",
  • "geometry": {
    },
  • "properties": { },
  • "id": "string",
  • "links": []
}

Response samples

Content type
{}

Validate

Validate Feature

Validate a feature or feature collection against this dataset's lint rules.

Authorizations:
JWTBasicAuth
Request Body schema: application/json
One of
type
required
string
Value: "Feature"
required
pointGeoJSON (object) or multipointGeoJSON (object) or linestringGeoJSON (object) or multilinestringGeoJSON (object) or polygonGeoJSON (object) or multipolygonGeoJSON (object) or geometrycollectionGeoJSON (object) (geometryGeoJSON)
properties
required
object or null
string or integer
Array of objects (link)

Responses

Request samples

Content type
application/json
Example
{
  • "type": "Feature",
  • "geometry": {
    },
  • "properties": { },
  • "id": "string",
  • "links": []
}